---
- entityDefinitions:
  - IDE_Protocol_ZWave_Subedits: '{702150af-6c63-4d8b-b240-e6e72015d5ed}'
  - IDE_Protocol_ZWave_Subedit_Tabs: '{d547bec8-efb1-4240-a02e-435b755dabe8}'
  - IDE_Protocol_ZWave_Subedit_Network: '{00e83e02-cbd9-4eb3-857b-5d9df41cec71}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - element: '&IDE_Protocol_ZWave_Subedits;'
    name: 'z-wave subedits'
    elementContents:
    - globalIdentifier: '{c04f20b0-96b3-4779-9c6c-ad160d105755}'
      defaultDataType: '&IDE_Protocol_ZWave_Subedit_Tabs;'
      layout: '{07091788-296c-448f-ace4-e493465f114b}'

  - booleanAttribute: '&IDA_UseDHCP;'
    name: 'Use DHCP'
    
  - groupLayout: '{07091788-296c-448f-ace4-e493465f114b}'
    options:
    - instance: '&IDI_GroupLayoutOption_Tabbed;'

  - element: '&IDE_Protocol_ZWave_Subedit_Tabs;'
    elementContents:
    - globalIdentifier: '{7b16a228-b633-4863-bccf-5c49ef58658d}'
      defaultDataType: '&IDE_Protocol_ZWave_Subedit_Network;'
      label: 'Z-Wave'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
  
  - element: '&IDE_Protocol_ZWave_Subedit_Network;'
    name: 'Network'
    elementContents:
    - globalIdentifier: '{8606ffd6-0ea8-4542-bb2a-a701981a014b}'
      layout:
      - type: '&IDC_ButtonLayout;'
        executesTask: '&IDI_Task_Element_Edit;'
        relatedInstance: '&IDI_WorkSet_TaskRelatedInstance;'
      label: 'Enroll Device'